Documentation

​
​

Development

User Acquisition

Monetization

Industry

Advertising Statistics API

v1

Supported
​

Advertising Statistics API

v1

Supported
​

Unity Services Web APIs
​
​
Advertising Statistics API
  • Overview
  • Authentication
  • Rate Limits
  • Data Retention
Endpoints
  • Acquisitions

Advertising Statistics API

⚠ IMPORTANT: This API version is deprecated and will no longer be available after June 2, 2025. Please migrate to the latest version by referring to this link.

Overview

Note: The following documentation applies to the current API version; aspects of the domain and functionality are subject to change for general release.
The Statistics API is an HTTP interface that allows advertisers to retrieve acquisition statistics data in CSV format.

SKAdNetwork conversion

The Statistics API now allows advertisers to start to receive SKadNetwork conversion value data. This supports using SKAd conversion values:
  • as a splitBy dimension as skadConversionValue.
  • as a filter via the skadConversionValues parameter.
This functionality is in addition to the recently launched SKAdNetwork install reporting. It's provided to assist advertisers who wish to test the new SKAdNetwork conversion values throughout March 2021, to prepare for Apple's anticipated roll-out of the Apple ATT for iOS14.

Contact

If you have any questions or feedback regarding the API you can reach out to us at unityads-support@unity3d.com.

Change Log

  • June 1, 2023: Updated data retention time and removed support of Reach Extension field.
  • May 10, 2023: Documented data retention and country limitation of the SKAd-specific fields.
  • August 2, 2021: First draft of the version 1 of the Unity Advertising Statistics API.

Authentication

Using the Unity Ads Statistics API requires an API key token. You can generate an API key token from dashboard by selecting Settings from the left navigation bar.
Note: The API key is generated for an specific username. If that username is removed from the organization, that API key will be automatically revoked. Please be aware of this if you use the API key as part of an integration with a 3rd party or any other business intelligence solution.
You can use the key token in two ways:
  1. Place the key token in the GET request URL
    apikey
    parameter. For example:
https://stats.unityads.unity3d.com/organizations/:organization_id/reports/acquisitions?apikey=<token>
  1. Place the key token in the
    Authorization
    header of the GET request, prefixed with
    Bearer
    . For example:
curl -H "Authorization: Bearer <token>" https://stats.unityads.unity3d.com/organizations/:organization_id/reports/acquisitions

Rate Limits

The API has rate limiting in place. The rate limit is 1 request every 3 seconds per IP address.

Data Retention

The Statistics API will show data from up to 6 months ago, starting from July 2023.
Download OpenAPI specification:

Acquisitions Report


This endpoint returns Acquisitions reports in CSV format that are under the given organization.
Authorizations
ApiKeyAuth
HTTP: ApiKeyAuth

Path parameters for "Acquisitions Report"

organizationId

required
example: 5d9705cdc23ff56026eed4c8
Unique identifier for an Organization.
Please use the following steps to look up the organization ID:
  1. Open the Acquire Dashboard
  2. Select Settings from the navigation
  3. On the settings page, you will see two separate Organization IDs. For the Advertising statistics API, pick the value that is labeled as
    Organization ID
    .

Query parameters for "Acquisitions Report"

start

required
example: 2021-07-28T13:16:21.691Z
Start time of the data query in
ISO 8601
format.

end

required
example: 2021-08-21T13:16:21.691Z
End time of the data query in
ISO 8601
format.

scale

example: hour
Time resolution of the data.

splitBy

string
you can specify a comma-separated list of dimensions by which to split data.
Options
  • campaignSet
  • creativePack
  • adType
  • campaign
  • target
  • sourceAppId
  • store
  • country
  • platform
  • osVersion
  • skadConversionValue

fields

string
default: all
you to specify comma-separated fields to display in your report.

SKAD specific fields

  • skadInstalls: Installs from Apple’s SKAdNetwork.
  • skadCpi: CPI calculated based on installs from Apple’s SKAdNetwork.
  • skadConversion: Conversion calculated based on installs from Apple’s SKAdNetwork.
Notes:
  • SKAd specific fields are not available by default in the response and therefore should be explicitly specified in the fields parameter if required.
  • In addition, fields above will not be available for the country, creativePack, adType and osVersion filters since we do not get this granularity of data within the SKAd postbacks.
Options
  • timestamp
  • campaignSet
  • creativePack
  • adType
  • campaign
  • target
  • sourceAppId
  • store
  • country
  • platform
  • osVersion
  • starts
  • views
  • clicks
  • installs
  • spend
  • skadInstalls
  • skadCpi
  • skadConversion

campaignSets

string
A comma-separated list of campaign set IDs to filter.

campaigns

string
A comma-separated list of campaign IDs to filter.

targets

string
A comma-separated list of target game IDs to filter.

adTypes

string
A comma-separated list of ad types to filter.
Options
  • video
  • playable
  • video+playable

countries

string
A comma-separated list of country codes to filter.
Country code in
ISO 3166-1 alpha-2
format.

stores

string
A comma-separated list of app stores to filter.
Options
  • apple
  • google

platforms

string
A comma-separated list of platforms to filter.

osVersions

string
A comma-separated list of operating system versions to filter.

creativePacks

string
A comma-separated list of creative packs to filter.

sourceAppIds

string
A comma-separated list of source app IDs to filter. This ID is an identifier derived from the game's app store page. Prior to migration, this was called source_id or source_game_id. This identifier is an alphanumeric, 12-character case-sensitive string.
Note: The identifiers source_id and source_game_id have been deprecated. They have been replaced with SourceAppID (source_app_id). While the deprecated source_game_id was an integer, the identifier SourceAppID (source_app_id) is a case-sensitive, 12-character, alphanumeric string. For more information, refer to Source bidding.

skadConversionValues

string
A comma-separated list of SKAdNetwork conversion values to filter. These values must be integers between 0 and 63.

HTTP response status codes for "Acquisitions Report":

Code samples for "Acquisitions Report":

Request example

curl -X GET \ "https://stats.unityads.unity3d.com/organizations/{organizationId}/reports/acquisitions"

Response example

"timestamp,campaign set id,campaign set name,country,clicks,installs,spend \n2013-03-01T00:00:00.000Z,50ed569d57fe1f324a15fbf7,\"Campaign set #5\",AU,71,30,45\n2013-03-01T00:00:00.000Z,50ed569d57fe1f324a15fbf7,\"Campaign set #5\",CA,129,88,132\nCONFIDENTIAL, Unity Technologies 2017 Advertiser Stats API2013-03-01T00:00:00.000Z,50ed569d57fe1f324a15fbf7,\"Campaign set#5\",US,1745,855,1282.5\n2013-03-01T00:00:00.000Z,50eeb7339e10c9d21c0225cb,\"Campaign set#6\",AT,39,19,28.5\n2013-03-01T00:00:00.000Z,50eeb7339e10c9d21c0225cb,\"Campaign set #6\",AU,16,10,15 \n2013-03-01T00:00:00.000Z,50eeb7339e10c9d21c0225cb,\"Campaign set #6\",BE,209,120,180\n"

Copyright © 2026 Unity Technologies
LegalPrivacy PolicyCookiesDocumentation Terms of UseDo Not Sell or Share My Personal InformationYour Privacy Choices (Cookie Settings)

"Unity", Unity logos, and other Unity trademarks are trademarks or registered trademarks of Unity Technologies or its affiliates in the U.S and elsewhere (more info here). Other names or brands are trademarks of their respective owners.

Some pages are machine-translated for convenience, and may contain inaccuracies. In the event of conflicting information, the English version is authoritative.